net.sf.jasperreports.web.util

## Class RequirejsTemplateConfigContributor

- java.lang.Object
- - net.sf.jasperreports.web.util.RequirejsTemplateConfigContributor

- All Implemented Interfaces:
    RequirejsConfigContributor

      public class RequirejsTemplateConfigContributor
      extends java.lang.Object
      implements RequirejsConfigContributor

  Version:
    $Id: RequirejsTemplateConfigContributor.java 6858 2014-01-31 14:46:02Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequirejsTemplateConfigContributor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPath(java.lang.String key, java.lang.String path)`
    `void` | `addResourcePath(java.lang.String key, java.lang.String resource)`
    `void` | `contribute(WebRequestContext context, com.fasterxml.jackson.databind.node.ObjectNode config)`
    `java.lang.String` | `getTemplateName()`
    `protected void` | `mergeObject(com.fasterxml.jackson.databind.node.ObjectNode dest, com.fasterxml.jackson.databind.node.ObjectNode source)`
    `protected com.fasterxml.jackson.databind.node.ObjectNode` | `parseTemplateConfig(java.lang.String configString)`
    `void` | `setTemplateName(java.lang.String templateName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequirejsTemplateConfigContributor

          public RequirejsTemplateConfigContributor()

  - ### Method Detail

    - #### contribute

          public void contribute(WebRequestContext context,
                        com.fasterxml.jackson.databind.node.ObjectNode config)

      Specified by:
        `contribute` in interface `RequirejsConfigContributor`

    - #### parseTemplateConfig

          protected com.fasterxml.jackson.databind.node.ObjectNode parseTemplateConfig(java.lang.String configString)

    - #### mergeObject

          protected void mergeObject(com.fasterxml.jackson.databind.node.ObjectNode dest,
                         com.fasterxml.jackson.databind.node.ObjectNode source)

    - #### getTemplateName

          public java.lang.String getTemplateName()

    - #### setTemplateName

          public void setTemplateName(java.lang.String templateName)

    - #### addPath

          public void addPath(java.lang.String key,
                     java.lang.String path)

    - #### addResourcePath

          public void addResourcePath(java.lang.String key,
                             java.lang.String resource)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com